Package org.springframework.transaction.interceptor

# Class NoRollbackRuleAttribute

java.lang.Object
org.springframework.transaction.interceptor.RollbackRuleAttribute
org.springframework.transaction.interceptor.NoRollbackRuleAttribute

All Implemented Interfaces:
  `Serializable`

public class NoRollbackRuleAttribute extends RollbackRuleAttribute
Tag subclass of `RollbackRuleAttribute` that has the opposite behavior to the `RollbackRuleAttribute` superclass.

Since:
  09.04.2003
Author:
  Rod Johnson, Sam Brannen
See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class org.springframework.transaction.interceptor.RollbackRuleAttribute

`ROLLBACK_ON_ALL_EXCEPTIONS, ROLLBACK_ON_RUNTIME_EXCEPTIONS`

## Constructor Summary

Constructors
Constructor
Description
`NoRollbackRuleAttribute(Class<?> exceptionType)`
Create a new instance of the `NoRollbackRuleAttribute` class for the given `exceptionType`.
`NoRollbackRuleAttribute(String exceptionPattern)`
Create a new instance of the `NoRollbackRuleAttribute` class for the supplied `exceptionPattern`.

## Method Summary

Modifier and Type
Method
Description
`String`
`toString()`

### Methods inherited from class org.springframework.transaction.interceptor.RollbackRuleAttribute

`equals, getDepth, getExceptionName, hashCode`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### NoRollbackRuleAttribute

public NoRollbackRuleAttribute(Class<?> exceptionType)
Create a new instance of the `NoRollbackRuleAttribute` class for the given `exceptionType`.

Parameters:
  `exceptionType` - exception type; must be `Throwable` or a subclass of `Throwable`
Throws:
  `IllegalArgumentException` - if the supplied `exceptionType` is not a `Throwable` type or is `null`
See Also:
  - `RollbackRuleAttribute(Class)`

### NoRollbackRuleAttribute

public NoRollbackRuleAttribute(String exceptionPattern)
Create a new instance of the `NoRollbackRuleAttribute` class for the supplied `exceptionPattern`.

Parameters:
  `exceptionPattern` - the exception name pattern; can also be a fully package-qualified class name
Throws:
  `IllegalArgumentException` - if the supplied `exceptionPattern` is `null` or empty
See Also:
  - `RollbackRuleAttribute(String)`

## Method Details

### toString

public String toString()

Overrides:
  `toString` in class `RollbackRuleAttribute`